
From: Joe Korty <joe.korty@ccur.com>

Rename bitmap_snprintf() to bitmap_scnprintf() and cpumask_snprintf() to
cpumask_scnprintf(), as these functions now belong to the scnprintf family
of functions.



---

 25-akpm/arch/alpha/kernel/irq.c   |    4 ++--
 25-akpm/arch/i386/kernel/irq.c    |    4 ++--
 25-akpm/arch/ia64/kernel/irq.c    |    4 ++--
 25-akpm/arch/mips/kernel/irq.c    |    4 ++--
 25-akpm/arch/ppc/kernel/irq.c     |    4 ++--
 25-akpm/arch/ppc64/kernel/irq.c   |    4 ++--
 25-akpm/arch/sparc64/kernel/irq.c |    2 +-
 25-akpm/arch/um/kernel/irq.c      |    4 ++--
 25-akpm/arch/x86_64/kernel/irq.c  |    4 ++--
 25-akpm/drivers/base/node.c       |    2 +-
 25-akpm/drivers/pci/probe.c       |    2 +-
 25-akpm/include/linux/bitmap.h    |    2 +-
 25-akpm/include/linux/cpumask.h   |    4 ++--
 25-akpm/kernel/sched.c            |    4 ++--
 25-akpm/lib/bitmap.c              |    6 +++---
 15 files changed, 27 insertions(+), 27 deletions(-)

diff -puN arch/alpha/kernel/irq.c~bitmap_snprintf-bitmap_scnprintf arch/alpha/kernel/irq.c
--- 25/arch/alpha/kernel/irq.c~bitmap_snprintf-bitmap_scnprintf	Tue Feb 17 15:52:41 2004
+++ 25-akpm/arch/alpha/kernel/irq.c	Tue Feb 17 15:52:41 2004
@@ -252,7 +252,7 @@ static int
 irq_affinity_read_proc (char *page, char **start, off_t off,
 			int count, int *eof, void *data)
 {
-	int len = cpumask_snprintf(page, count, irq_affinity[(long)data]);
+	int len = cpumask_scnprintf(page, count, irq_affinity[(long)data]);
 	if (count - len < 2)
 		return -EINVAL;
 	len += sprintf(page + len, "\n");
@@ -333,7 +333,7 @@ static int
 prof_cpu_mask_read_proc(char *page, char **start, off_t off,
 			int count, int *eof, void *data)
 {
-	int len = cpumask_snprintf(page, count, *(cpumask_t *)data);
+	int len = cpumask_scnprintf(page, count, *(cpumask_t *)data);
 	if (count - len < 2)
 		return -EINVAL;
 	len += sprintf(page + len, "\n");
diff -puN arch/i386/kernel/irq.c~bitmap_snprintf-bitmap_scnprintf arch/i386/kernel/irq.c
--- 25/arch/i386/kernel/irq.c~bitmap_snprintf-bitmap_scnprintf	Tue Feb 17 15:52:41 2004
+++ 25-akpm/arch/i386/kernel/irq.c	Tue Feb 17 15:52:41 2004
@@ -929,7 +929,7 @@ cpumask_t irq_affinity[NR_IRQS] = { [0 .
 static int irq_affinity_read_proc(char *page, char **start, off_t off,
 			int count, int *eof, void *data)
 {
-	int len = cpumask_snprintf(page, count, irq_affinity[(long)data]);
+	int len = cpumask_scnprintf(page, count, irq_affinity[(long)data]);
 	if (count - len < 2)
 		return -EINVAL;
 	len += sprintf(page + len, "\n");
@@ -970,7 +970,7 @@ static int irq_affinity_write_proc(struc
 static int prof_cpu_mask_read_proc (char *page, char **start, off_t off,
 			int count, int *eof, void *data)
 {
-	int len = cpumask_snprintf(page, count, *(cpumask_t *)data);
+	int len = cpumask_scnprintf(page, count, *(cpumask_t *)data);
 	if (count - len < 2)
 		return -EINVAL;
 	len += sprintf(page + len, "\n");
diff -puN arch/ia64/kernel/irq.c~bitmap_snprintf-bitmap_scnprintf arch/ia64/kernel/irq.c
--- 25/arch/ia64/kernel/irq.c~bitmap_snprintf-bitmap_scnprintf	Tue Feb 17 15:52:41 2004
+++ 25-akpm/arch/ia64/kernel/irq.c	Tue Feb 17 15:52:41 2004
@@ -940,7 +940,7 @@ void set_irq_affinity_info (unsigned int
 static int irq_affinity_read_proc (char *page, char **start, off_t off,
 			int count, int *eof, void *data)
 {
-	int len = cpumask_snprintf(page, count, irq_affinity[(long)data]);
+	int len = cpumask_scnprintf(page, count, irq_affinity[(long)data]);
 	if (count - len < 2)
 		return -EINVAL;
 	len += sprintf(page + len, "\n");
@@ -1005,7 +1005,7 @@ static int irq_affinity_write_proc (stru
 static int prof_cpu_mask_read_proc (char *page, char **start, off_t off,
 			int count, int *eof, void *data)
 {
-	int len = cpumask_snprintf(page, count, *(cpumask_t *)data);
+	int len = cpumask_scnprintf(page, count, *(cpumask_t *)data);
 	if (count - len < 2)
 		return -EINVAL;
 	len += sprintf(page + len, "\n");
diff -puN arch/mips/kernel/irq.c~bitmap_snprintf-bitmap_scnprintf arch/mips/kernel/irq.c
--- 25/arch/mips/kernel/irq.c~bitmap_snprintf-bitmap_scnprintf	Tue Feb 17 15:52:41 2004
+++ 25-akpm/arch/mips/kernel/irq.c	Tue Feb 17 15:52:41 2004
@@ -835,7 +835,7 @@ static cpumask_t irq_affinity [NR_IRQS] 
 static int irq_affinity_read_proc (char *page, char **start, off_t off,
 			int count, int *eof, void *data)
 {
-	int len = cpumask_snprintf(page, count, irq_affinity[(long)data]);
+	int len = cpumask_scnprintf(page, count, irq_affinity[(long)data]);
 	if (count - len < 2)
 		return -EINVAL;
 	len += sprintf(page + len, "\n");
@@ -873,7 +873,7 @@ static int irq_affinity_write_proc (stru
 static int prof_cpu_mask_read_proc (char *page, char **start, off_t off,
 			int count, int *eof, void *data)
 {
-	int len = cpumask_snprintf(page, count, *(cpumask_t *)data);
+	int len = cpumask_scnprintf(page, count, *(cpumask_t *)data);
 	if (count - len < 2)
 		return -EINVAL;
 	len += sprintf(page + len, "\n");
diff -puN arch/ppc64/kernel/irq.c~bitmap_snprintf-bitmap_scnprintf arch/ppc64/kernel/irq.c
--- 25/arch/ppc64/kernel/irq.c~bitmap_snprintf-bitmap_scnprintf	Tue Feb 17 15:52:41 2004
+++ 25-akpm/arch/ppc64/kernel/irq.c	Tue Feb 17 15:52:41 2004
@@ -664,7 +664,7 @@ cpumask_t irq_affinity [NR_IRQS] = { [0 
 static int irq_affinity_read_proc (char *page, char **start, off_t off,
 			int count, int *eof, void *data)
 {
-	int len = cpumask_snprintf(page, count, irq_affinity[(long)data]);
+	int len = cpumask_scnprintf(page, count, irq_affinity[(long)data]);
 	if (count - len < 2)
 		return -EINVAL;
 	len += sprintf(page + len, "\n");
@@ -702,7 +702,7 @@ static int irq_affinity_write_proc (stru
 static int prof_cpu_mask_read_proc (char *page, char **start, off_t off,
 			int count, int *eof, void *data)
 {
-	int len = cpumask_snprintf(page, count, *(cpumask_t *)data);
+	int len = cpumask_scnprintf(page, count, *(cpumask_t *)data);
 	if (count - len < 2)
 		return -EINVAL;
 	len += sprintf(page + len, "\n");
diff -puN arch/ppc/kernel/irq.c~bitmap_snprintf-bitmap_scnprintf arch/ppc/kernel/irq.c
--- 25/arch/ppc/kernel/irq.c~bitmap_snprintf-bitmap_scnprintf	Tue Feb 17 15:52:41 2004
+++ 25-akpm/arch/ppc/kernel/irq.c	Tue Feb 17 15:52:41 2004
@@ -575,7 +575,7 @@ cpumask_t irq_affinity [NR_IRQS];
 static int irq_affinity_read_proc (char *page, char **start, off_t off,
 			int count, int *eof, void *data)
 {
-	int len = cpumask_snprintf(page, count, irq_affinity[(long)data]);
+	int len = cpumask_scnprintf(page, count, irq_affinity[(long)data]);
 	if (count - len < 2)
 		return -EINVAL;
 	len += sprintf(page + len, "\n");
@@ -616,7 +616,7 @@ static int irq_affinity_write_proc (stru
 static int prof_cpu_mask_read_proc (char *page, char **start, off_t off,
 			int count, int *eof, void *data)
 {
-	int len = cpumask_snprintf(page, count, *(cpumask_t *)data);
+	int len = cpumask_scnprintf(page, count, *(cpumask_t *)data);
 	if (count - len < 2)
 		return -EINVAL;
 	len += sprintf(page + len, "\n");
diff -puN arch/sparc64/kernel/irq.c~bitmap_snprintf-bitmap_scnprintf arch/sparc64/kernel/irq.c
--- 25/arch/sparc64/kernel/irq.c~bitmap_snprintf-bitmap_scnprintf	Tue Feb 17 15:52:41 2004
+++ 25-akpm/arch/sparc64/kernel/irq.c	Tue Feb 17 15:52:41 2004
@@ -1211,7 +1211,7 @@ static int irq_affinity_read_proc (char 
 	if (cpus_empty(mask))
 		mask = cpu_online_map;
 
-	len = cpumask_snprintf(page, count, mask);
+	len = cpumask_scnprintf(page, count, mask);
 	if (count - len < 2)
 		return -EINVAL;
 	len += sprintf(page + len, "\n");
diff -puN arch/um/kernel/irq.c~bitmap_snprintf-bitmap_scnprintf arch/um/kernel/irq.c
--- 25/arch/um/kernel/irq.c~bitmap_snprintf-bitmap_scnprintf	Tue Feb 17 15:52:41 2004
+++ 25-akpm/arch/um/kernel/irq.c	Tue Feb 17 15:52:41 2004
@@ -575,7 +575,7 @@ static cpumask_t irq_affinity [NR_IRQS] 
 static int irq_affinity_read_proc (char *page, char **start, off_t off,
 			int count, int *eof, void *data)
 {
-	int len = cpumask_snprintf(page, count, irq_affinity[(long)data]);
+	int len = cpumask_scnprintf(page, count, irq_affinity[(long)data]);
 	if (count - len < 2)
 		return -EINVAL;
 	len += sprintf(page + len, "\n");
@@ -613,7 +613,7 @@ static int irq_affinity_write_proc (stru
 static int prof_cpu_mask_read_proc (char *page, char **start, off_t off,
 			int count, int *eof, void *data)
 {
-	int len = cpumask_snprintf(page, count, *(cpumask_t *)data);
+	int len = cpumask_scnprintf(page, count, *(cpumask_t *)data);
 	if (count - len < 2)
 		return -EINVAL;
 	len += sprintf(page + len, "\n");
diff -puN arch/x86_64/kernel/irq.c~bitmap_snprintf-bitmap_scnprintf arch/x86_64/kernel/irq.c
--- 25/arch/x86_64/kernel/irq.c~bitmap_snprintf-bitmap_scnprintf	Tue Feb 17 15:52:41 2004
+++ 25-akpm/arch/x86_64/kernel/irq.c	Tue Feb 17 15:52:41 2004
@@ -829,7 +829,7 @@ static cpumask_t irq_affinity [NR_IRQS] 
 static int irq_affinity_read_proc (char *page, char **start, off_t off,
 			int count, int *eof, void *data)
 {
-	int len = cpumask_snprintf(page, count, irq_affinity[(long)data]);
+	int len = cpumask_scnprintf(page, count, irq_affinity[(long)data]);
 	if (count - len < 2)
 		return -EINVAL;
 	len += sprintf(page + len, "\n");
@@ -867,7 +867,7 @@ static int irq_affinity_write_proc (stru
 static int prof_cpu_mask_read_proc (char *page, char **start, off_t off,
 			int count, int *eof, void *data)
 {
-	int len = cpumask_snprintf(page, count, *(cpumask_t *)data);
+	int len = cpumask_scnprintf(page, count, *(cpumask_t *)data);
 	if (count - len < 2)
 		return -EINVAL;
 	len += sprintf(page + len, "\n");
diff -puN drivers/base/node.c~bitmap_snprintf-bitmap_scnprintf drivers/base/node.c
--- 25/drivers/base/node.c~bitmap_snprintf-bitmap_scnprintf	Tue Feb 17 15:52:41 2004
+++ 25-akpm/drivers/base/node.c	Tue Feb 17 15:52:41 2004
@@ -23,7 +23,7 @@ static ssize_t node_read_cpumap(struct s
 
 	/* FIXME - someone should pass us a buffer size (count) or
 	 * use seq_file or something to avoid buffer overrun risk. */
-	len = cpumask_snprintf(buf, 99 /* XXX FIXME */, mask);
+	len = cpumask_scnprintf(buf, 99 /* XXX FIXME */, mask);
 	len += sprintf(buf + len, "\n");
 	return len;
 }
diff -puN drivers/pci/probe.c~bitmap_snprintf-bitmap_scnprintf drivers/pci/probe.c
--- 25/drivers/pci/probe.c~bitmap_snprintf-bitmap_scnprintf	Tue Feb 17 15:52:41 2004
+++ 25-akpm/drivers/pci/probe.c	Tue Feb 17 15:52:41 2004
@@ -55,7 +55,7 @@ static ssize_t pci_bus_show_cpuaffinity(
 	cpumask_t cpumask = pcibus_to_cpumask((to_pci_bus(class_dev))->number);
 	int ret;
 
-	ret = cpumask_snprintf(buf, PAGE_SIZE, cpumask);
+	ret = cpumask_scnprintf(buf, PAGE_SIZE, cpumask);
 	if (ret < PAGE_SIZE)
 		buf[ret++] = '\n';
 	return ret;
diff -puN include/linux/bitmap.h~bitmap_snprintf-bitmap_scnprintf include/linux/bitmap.h
--- 25/include/linux/bitmap.h~bitmap_snprintf-bitmap_scnprintf	Tue Feb 17 15:52:41 2004
+++ 25-akpm/include/linux/bitmap.h	Tue Feb 17 15:52:41 2004
@@ -41,7 +41,7 @@ void bitmap_and(unsigned long *dst, cons
 void bitmap_or(unsigned long *dst, const unsigned long *bitmap1,
 			const unsigned long *bitmap2, int bits);
 int bitmap_weight(const unsigned long *bitmap, int bits);
-int bitmap_snprintf(char *buf, unsigned int buflen,
+int bitmap_scnprintf(char *buf, unsigned int buflen,
 			const unsigned long *maskp, int bits);
 int bitmap_parse(const char __user *ubuf, unsigned int ubuflen,
 			unsigned long *maskp, int bits);
diff -puN include/linux/cpumask.h~bitmap_snprintf-bitmap_scnprintf include/linux/cpumask.h
--- 25/include/linux/cpumask.h~bitmap_snprintf-bitmap_scnprintf	Tue Feb 17 15:52:41 2004
+++ 25-akpm/include/linux/cpumask.h	Tue Feb 17 15:52:41 2004
@@ -35,8 +35,8 @@ extern cpumask_t cpu_possible_map;
 #define for_each_online_cpu(cpu) for (cpu = 0; cpu < 1; cpu++)
 #endif
 
-#define cpumask_snprintf(buf, buflen, map)				\
-	bitmap_snprintf(buf, buflen, cpus_addr(map), NR_CPUS)
+#define cpumask_scnprintf(buf, buflen, map)				\
+	bitmap_scnprintf(buf, buflen, cpus_addr(map), NR_CPUS)
 
 #define cpumask_parse(buf, buflen, map)					\
 	bitmap_parse(buf, buflen, cpus_addr(map), NR_CPUS)
diff -puN kernel/sched.c~bitmap_snprintf-bitmap_scnprintf kernel/sched.c
--- 25/kernel/sched.c~bitmap_snprintf-bitmap_scnprintf	Tue Feb 17 15:52:41 2004
+++ 25-akpm/kernel/sched.c	Tue Feb 17 15:52:41 2004
@@ -3429,7 +3429,7 @@ void sched_domain_debug(void)
 			struct sched_group *group = cpu_domain->groups;
 			cpumask_t groupmask, tmp;
 
-			cpumask_snprintf(str, NR_CPUS, cpu_domain->span);
+			cpumask_scnprintf(str, NR_CPUS, cpu_domain->span);
 			cpus_clear(groupmask);
 
 			printk(KERN_DEBUG);
@@ -3461,7 +3461,7 @@ void sched_domain_debug(void)
 
 				cpus_or(groupmask, groupmask, group->cpumask);
 
-				cpumask_snprintf(str, NR_CPUS, group->cpumask);
+				cpumask_scnprintf(str, NR_CPUS, group->cpumask);
 				printk(" %s", str);
 
 				group = group->next;
diff -puN lib/bitmap.c~bitmap_snprintf-bitmap_scnprintf lib/bitmap.c
--- 25/lib/bitmap.c~bitmap_snprintf-bitmap_scnprintf	Tue Feb 17 15:52:41 2004
+++ 25-akpm/lib/bitmap.c	Tue Feb 17 15:52:41 2004
@@ -165,7 +165,7 @@ EXPORT_SYMBOL(bitmap_weight);
 #define unhex(c)			(isdigit(c) ? (c - '0') : (toupper(c) - 'A' + 10))
 
 /**
- * bitmap_snprintf - convert bitmap to an ASCII hex string.
+ * bitmap_scnprintf - convert bitmap to an ASCII hex string.
  * @buf: byte buffer into which string is placed
  * @buflen: reserved size of @buf, in bytes
  * @maskp: pointer to bitmap to convert
@@ -174,7 +174,7 @@ EXPORT_SYMBOL(bitmap_weight);
  * Exactly @nmaskbits bits are displayed.  Hex digits are grouped into
  * comma-separated sets of eight digits per set.
  */
-int bitmap_snprintf(char *buf, unsigned int buflen,
+int bitmap_scnprintf(char *buf, unsigned int buflen,
 	const unsigned long *maskp, int nmaskbits)
 {
 	int i, word, bit, len = 0;
@@ -200,7 +200,7 @@ int bitmap_snprintf(char *buf, unsigned 
 	}
 	return len;
 }
-EXPORT_SYMBOL(bitmap_snprintf);
+EXPORT_SYMBOL(bitmap_scnprintf);
 
 /**
  * bitmap_parse - convert an ASCII hex string into a bitmap.

_
